Skip to content

Get collections queue

GET
/api/v1/tenants/{tenant_id}/workspaces/{workspace_id}/invoices/ar/collections-queue

List outstanding invoices prioritized for collection follow-up.

overdue_only
Overdue Only
boolean
limit
Limit
integer
default: 200 >= 1 <= 1000
X-Workspace-ID
Any of:
string
X-API-Key
Any of:
string
X-Tenant-ID
Any of:
string

Successful Response

Response Get Collections Queue Api V1 Tenants Tenant Id Workspaces Workspace Id Invoices Ar Collections Queue Get
Array<object>
InvoiceCollectionsQueueItem

Collections queue row for follow-up.

object
invoice_id
required
Invoice Id
string format: uuid
invoice_number
required
Invoice Number
string
customer_name
Any of:
string
due_date
Any of:
string format: date
amount_due
Amount Due
string
default: 0 /^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$/
days_overdue
Days Overdue
integer
0
collection_status
required
InvoiceCollectionStatus

Collections lifecycle status for accounts receivable workflow.

string
Allowed values: not_sent sent viewed partially_paid paid overdue cancelled
reminder_count
Reminder Count
integer
0
last_reminder_at
Any of:
string format: date-time
Examples

200 response example

[
{
"invoice_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"invoice_number": "string",
"customer_name": "string",
"due_date": "2026-02-11",
"amount_due": "0",
"days_overdue": 0,
"collection_status": "not_sent"
}
]

Validation Error

HTTPValidationError
object
detail
Detail
Array<object>
ValidationError
object
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
Examples

422 response example

{
"detail": [
{
"loc": [],
"msg": "string",
"type": "string"
}
]
}